Bug 155088 - [RHEL4] Build bugs on x86_64, patches included
[RHEL4] Build bugs on x86_64, patches included
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Pyrex (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2005-04-15 22:10 EDT by John Morris
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 11:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Morris 2005-04-15 22:10:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.4) Gecko/20050323 White Box/1.4.4-1.3.5.WB1

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rembuild --rebuild


Additional info:

There are two issues with rebuilding this one on x86_64.  One is a totally bizarre segfault running dos2unix on a demo file.  I simply conditionaled this out with this at line 45:

# Segfaults for unknown reason on x86_64
%if "%{_arch}" != x86_64
dos2unix -k -c mac Demos/embed/Makefile.msc Demos/embed/Makefile.msc.static Demos/embed/README

Then a couple lines down is a partial patch for x86_64 building that is missing a line:

#hack to get around a bug in the python distutils on 64 bit archs
%if "%{_lib}" == "lib64"
# Added 050415 by jmorris@beau.org, can't possibly work without the mkdir.
mkdir $RPM_BUILD_ROOT%{_libdir}
cp -r $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT%{_libdir}/
rm -rf $RPM_BUILD_ROOT/usr/lib
perl -pi -e 's/\/usr\/lib\//\/usr\/lib64\//g' INSTALLED_FILES
Comment 2 RHEL Product and Program Management 2007-10-02 11:41:50 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.